Skip to main content
GET
/
sourcing
/
advanced
/
companies
/
decision-makers
Advance Sourcing API endpoint — company decision makers
curl --request GET \
  --url https://app.leonar.app/api/v1/sourcing/advanced/companies/decision-makers \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "metadata": {
      "page": 1,
      "page_size": 25,
      "total_results": 8
    },
    "profiles": [
      {
        "id": "adv_prof_01HZY8Y7J6F0P8S3VJ8NR9",
        "full_name": "Jane Doe",
        "title": "Chief Revenue Officer",
        "company": {
          "name": "ExampleCo",
          "domain": "example.com"
        },
        "contact_availability": {
          "work_email": true,
          "personal_email": false,
          "phone": false
        }
      }
    ],
    "credits": {
      "search_credits_used": 8
    }
  }
}

Authorizations

Authorization
string
header
required

API key starting with leo_

Query Parameters

linkedin_url
string<uri>

Company profile URL.

domain
string

Company website domain, for example example.com.

name
string

Company name.

page
integer
default:1

Results page to return.

Required range: x >= 1

Response

Company decision makers.

data
object